#
# Spec file for package xdemorse (version 2.1)
#

# norootforbuild

Name:		xdemorse
Summary:	A simple morse decoder for x11
Version: 	2.2
Release:	2.1
License:	GPL-3.0
Url:		http://5b4az.chronos.org.uk/pages/morse.html
Group:		Productivity/Hamradio/Other
Source0:	%{name}-%{version}.tar.bz2
Source100:	%{name}.changes
Patch0:		%{name}-2.1-fix_missing_includes.patch
BuildRoot:	%{_tmppath}/build-root-%{name}
AutoReqprov:	on
BuildRequires:	gtk2-devel alsa-devel glibc-devel
BuildRequires:  automake

%description
Xdemorse is a simple GTK+ based morse decoder for x11.
It has an integer-arithmetic FFT-derived "waterfall" display of the incoming 
audio signal's spectrum, as well as a 'scope-like display of the audio 
detector's output and status of the mark/space discriminator ("slicer").
Xdemorse also has CAT for the FT-847 and FT857 and this can be used to net 
the receiver's frequency to the incoming signal, by clicking near its trace
in the waterfall display.

Author:
-------
		Neoklis Kyriazis (Ham Radio Call: 5B4AZ)



%prep
%setup -q -n %{name}

%if 0%{?suse_version} <= 1100
%patch0 -p0
%endif

mv default/.xdemorserc default/xdemorserc

%build
CFLAGS="$RPM_OPT_FLAGS" CXXFLAGS="$RPM_OPT_FLAGS" \
aclocal
./autogen.sh
%configure
make

%install
make DESTDIR=$RPM_BUILD_ROOT install

%clean
rm -rf $RPM_BUILD_ROOT

%post

echo "If you want to use xdemorse properly, copy the file"
echo "/usr/share/doc/packages/xdemorse/xdemorserc"
echo "to /home/<username>/.xdemorserc"

%files -n %{name}
%defattr(-,root,root)
%{_bindir}/*
%doc AUTHORS README doc/ default/xdemorserc

%changelog
* Thu Aug 16 2012 seife+obs@b1-systems.com
- fix build for 12.2 (add automake buildreq)
* Sat May  5 2012 seife+obs@b1-systems.com
- update to version 2.2 which builds again on openSUSE >= 12.1
* Sat May  8 2010 packman@links2linux.de - 2.1
- first packman build
- updated to version 2.1
- added sample configuration file
- spec cleanup
* Fri Apr 17 2009 dl9pf@gmx.de
- updated to new version
* Sat Oct  4 2008 dl8fcl@darc.de
- updated for openSUSE_Factory
